package implement

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/dao"
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/models"
	zhios_order_relate_logx "code.fnuoos.com/go_rely_warehouse/zyos_model.git/utils/logx"
	"xorm.io/xorm"
)

type happyOrchardRewardWithSeedDb struct {
	Db *xorm.Engine
}

func NewHappyOrchardRewardWithSeedDb(engine *xorm.Engine) dao.HappyOrchardRewardWithSeedDao {
	return &happyOrchardRewardWithSeedDb{Db: engine}
}

func (h happyOrchardRewardWithSeedDb) FindHappyOrchardRewardWithSeedBySeedId(seedId []int) (mm *[]models.HappyOrchardRewardWithSeed, err error) {
	var m []models.HappyOrchardRewardWithSeed
	if err := h.Db.In("seed_id", seedId).Find(&m); err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	return &m, nil
}
func (h happyOrchardRewardWithSeedDb) FindHappyOrchardRewardWithSeedBySeedIdAndId(rewardId, seedId int) (m *models.HappyOrchardRewardWithSeed, err error) {
	m = new(models.HappyOrchardRewardWithSeed)
	has, err := h.Db.Where("reward_id=? and seed_id=?", rewardId, seedId).Get(m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return m, nil
}
