package implement

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/dao"
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/models"
	zhios_order_relate_logx "code.fnuoos.com/go_rely_warehouse/zyos_model.git/utils/logx"
	"xorm.io/xorm"
)

type HappyOrchardTaskDb struct {
	Db *xorm.Engine
}

func NewHappyOrchardTaskDb(engine *xorm.Engine) dao.HappyOrchardTaskDao {
	return &HappyOrchardTaskDb{Db: engine}
}
func (h HappyOrchardTaskDb) GetHappyOrchardTaskByPid(types string, pid int) (mm *[]models.HappyOrchardTask, err error) {
	var m []models.HappyOrchardTask
	if err := h.Db.Where("type=? and pid =?", types, pid).Find(&m); err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	return &m, nil
}
func (h HappyOrchardTaskDb) GetHappyOrchardTaskById(id int) (m *models.HappyOrchardTask, err error) {
	m = new(models.HappyOrchardTask)
	has, err := h.Db.Where("id =?", id).Get(m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return m, nil
}
