﻿package implement

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/dao"
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/models"
	zhios_order_relate_logx "code.fnuoos.com/go_rely_warehouse/zyos_model.git/utils/logx"
	"xorm.io/xorm"
)

func NewInstallmentPaymentListDb(engine *xorm.Engine) dao.InstallmentPaymentListDao {
	return &InstallmentPaymentListDb{Db: engine}
}

type InstallmentPaymentListDb struct {
	Db *xorm.Engine
}

func (i InstallmentPaymentListDb) InsertInstallmentPaymentList(m *models.InstallmentPaymentList) (id int, err error) {
	_, err = i.Db.InsertOne(m)
	if err != nil {
		return 0, err
	}
	id = m.Id
	return id, nil
}

func (i InstallmentPaymentListDb) UpdateInstallmentPaymentListBySess(sess *xorm.Session, m *models.InstallmentPaymentList, forceColums ...string) (int64, error) {
	var (
		affected int64
		err      error
	)
	if forceColums != nil {
		affected, err = sess.Where("id=?", m.Id).Cols(forceColums...).Update(m)
	} else {
		affected, err = sess.Where("id=?", m.Id).Update(m)
	}
	if err != nil {
		return 0, err
	}
	return affected, nil
}

func (i InstallmentPaymentListDb) GetInstallmentPaymentListById(id int) (m *models.InstallmentPaymentList, err error) {
	m = new(models.InstallmentPaymentList)
	has, err := i.Db.Where("id =?", id).Get(m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return m, nil
}
