package implement

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/dao"
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/models"
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/super_cloud_issuance/md"
	zhios_order_relate_logx "code.fnuoos.com/go_rely_warehouse/zyos_model.git/utils/logx"
	"xorm.io/xorm"
)

func NewSuperCloudIssuancePackageOrdDb(engine *xorm.Engine) dao.SuperCloudIssuancePackageOrdDao {
	return &SuperCloudIssuancePackageOrdDb{Db: engine}
}

type SuperCloudIssuancePackageOrdDb struct {
	Db *xorm.Engine
}

func (s SuperCloudIssuancePackageOrdDb) UserOrdList(uid interface{}, req md.BuyPackageRecordsRequest) (resp []*md.BuyPackageRecordsResponse, total int64, err error) {
	total, err = s.Db.Table("super_cloud_issuance_package_ord").
		Join("INNER", "super_cloud_issuance_package_ord", "super_cloud_issuance_package_ord.package_id = super_cloud_issuance_robot_package.id").
		Where("super_cloud_issuance_package_ord.uid = ?", uid).
		OrderBy("super_cloud_issuance_package_ord.id DESC").
		Cols("super_cloud_issuance_package_ord.*, super_cloud_issuance_robot_package.name as package_name").
		Limit(req.Limit, (req.Page-1)*req.Limit).FindAndCount(&resp)
	return
}

func (s SuperCloudIssuancePackageOrdDb) GetCloudIssuancePackageOrd(ordNo string) (m *models.SuperCloudIssuancePackageOrd, err error) {
	m = new(models.SuperCloudIssuancePackageOrd)
	has, err := s.Db.Where("ord_no =?", ordNo).Get(m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return m, nil
}
